class_name RoomTemplate extends Node3D

@export var save_game:SaveGame = null

func pull_save_state(save: SaveGame) -> void:
	pass
	
func save_room():
	pull_save_state(save_game)
	save_game.save_to_file.call_deferred(get_tree().root.get_texture())
